npm install mocha results in fetch error for dependency modules #2698

Closed
jayyvis opened this Issue Aug 12, 2012 · 1 comment

Projects

None yet

2 participants

@jayyvis
jayyvis commented Aug 12, 2012

Trying to install mocha results in fetch error its dependency modules like jade, growl & others

npm install -g mocha
npm http GET http://registry.npmjs.org/mocha
npm http 304 http://registry.npmjs.org/mocha
npm http GET http://registry.npmjs.org/commander/0.6.1
npm http GET http://registry.npmjs.org/growl
npm http GET http://registry.npmjs.org/jade/0.26.3
npm http GET http://registry.npmjs.org/diff/1.0.2
npm http GET http://registry.npmjs.org/debug
npm http 304 http://registry.npmjs.org/jade/0.26.3
npm http GET http://registry.npmjs.org/-/jade-0.26.3.tgz
npm http 304 http://registry.npmjs.org/growl
npm http 304 http://registry.npmjs.org/diff/1.0.2
npm http GET http://registry.npmjs.org/-/diff-1.0.2.tgz
npm http GET http://registry.npmjs.org/-/growl-1.5.1.tgz
npm http 304 http://registry.npmjs.org/debug
npm http GET http://registry.npmjs.org/-/debug-0.7.0.tgz
npm http 404 http://registry.npmjs.org/-/jade-0.26.3.tgz
npm ERR! fetch failed http://registry.npmjs.org/-/jade-0.26.3.tgz
npm http 404 http://registry.npmjs.org/-/growl-1.5.1.tgz
npm http 404 http://registry.npmjs.org/-/diff-1.0.2.tgz
npm ERR! Error: 404 Not Found
npm ERR! at null. (/home/jay/shared-jay/node.js/node-v0.8.6-linux-i386/lib/node_modules/npm/lib/utils/fetch.js:47:16)
npm ERR! at EventEmitter.emit (events.js:115:20)
npm ERR! at WriteStream.flush (fs.js:1514:12)
npm ERR! at fs.close (/home/jay/shared-jay/node.js/node-v0.8.6-linux-i386/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:92:5)
npm ERR! at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Linux 2.6.35-28-generic-pae
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install" "-g" "mocha"
npm ERR! cwd /home/jay/workspace/dev/nicklet
npm ERR! node -v v0.8.6
npm ERR! npm -v 1.1.48
npm http 404 http://registry.npmjs.org/-/debug-0.7.0.tgz
npm ERR! fetch failed http://registry.npmjs.org/-/diff-1.0.2.tgz
npm ERR! fetch failed http://registry.npmjs.org/-/growl-1.5.1.tgz
npm ERR! fetch failed http://registry.npmjs.org/-/debug-0.7.0.tgz
npm http 304 http://registry.npmjs.org/commander/0.6.1
npm http GET http://registry.npmjs.org/-/commander-0.6.1.tgz
npm http 404 http://registry.npmjs.org/-/commander-0.6.1.tgz
npm ERR! fetch failed http://registry.npmjs.org/-/commander-0.6.1.tgz
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /home/jay/workspace/dev/nicklet/npm-debug.log
npm ERR! not ok code 0

@FGRibreau

See #2694

@jayyvis jayyvis closed this Aug 15, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment